extends Area2D

onready var anim_player: AnimationPlayer = get_node("AnimationPlayer")
onready var levelState := $"%LevelState"

export var currencyValue: = 1

func _on_body_entered(_body: Node) -> void:
	levelState.currency += currencyValue
	anim_player.play("fade_out")
	queue_free()
